<!DOCTYPE html>
<html>
<head>
  <style type="text/css">
    body {
      background-color: #fff;
      margin: 0; /* Remove default margin to ensure full-page display */
      display: flex;
      justify-content: center; /* Center horizontally */
      align-items: center; /* Center vertically */
      height: 100vh; /* Center within the viewport height */
    }
    
    p {
      color: #4c4a37;
      font-family: 'Source Sans Pro',
        sans-serif; font-size: 18px;
      line-height: 32px;
      margin: 0 0 24px;
    }

    .button-1 {
      align-items: center;
      appearance: none;
      background-image: radial-gradient(100% 100% at 100% 0, #ff5757 0, #e52e2e 100%); /* Red gradient */
      border: 0;
      border-radius: 6px;
      box-shadow: rgba(45, 35, 66, .4) 0 2px 4px, rgba(45, 35, 66, .3) 0 7px 13px -3px, rgba(58, 65, 111, .5) 0 -3px 0 inset;
      box-sizing: border-box;
      color: #fff;
      cursor: pointer;
      display: inline-flex;
      font-family: "JetBrains Mono", monospace;
      height: 48px;
      justify-content: center;
      line-height: 1;
      list-style: none;
      overflow: hidden;
      padding-left: 16px;
      padding-right: 16px;
      position: relative;
      text-align: left;
      text-decoration: none;
      transition: box-shadow .15s, transform .15s;
      user-select: none;
      -webkit-user-select: none;
      touch-action: manipulation;
      white-space: nowrap;
      will-change: box-shadow, transform;
      font-size: 18px;
    }

    .button-1:focus {
      box-shadow: #ff5757 0 0 0 1.5px inset, rgba(45, 35, 66, .4) 0 2px 4px, rgba(45, 35, 66, .3) 0 7px 13px -3px, #ff5757 0 -3px 0 inset;
    }

    .button-1:hover {
      box-shadow: rgba(45, 35, 66, .4) 0 4px 8px, rgba(45, 35, 66, .3) 0 7px 13px -3px, #ff5757 0 -3px 0 inset;
      transform: translateY(-2px);
    }

    .button-1:active {
      box-shadow: #ff5757 0 3px 7px inset;
      transform: translateY(2px);
    }
    
    
    .button-2 {
      align-items: center;
      appearance: none;
      background-image: radial-gradient(100% 100% at 100% 0, #5aff5a 0, #2ee52e 100%); /* Green gradient */
      border: 0;
      border-radius: 6px;
      box-shadow: rgba(45, 35, 66, .4) 0 2px 4px, rgba(45, 35, 66, .3) 0 7px 13px -3px, rgba(58, 65, 111, .5) 0 -3px 0 inset;
      box-sizing: border-box;
      color: #fff;
      cursor: pointer;
      display: inline-flex;
      font-family: "JetBrains Mono", monospace;
      height: 48px;
      justify-content: center;
      line-height: 1;
      list-style: none;
      overflow: hidden;
      padding-left: 16px;
      padding-right: 16px;
      position: relative;
      text-align: left;
      text-decoration: none;
      transition: box-shadow .15s, transform .15s;
      user-select: none;
      -webkit-user-select: none;
      touch-action: manipulation;
      white-space: nowrap;
      will-change: box-shadow, transform;
      font-size: 18px;
    }

    .button-2:focus {
      box-shadow: #5aff5a 0 0 0 1.5px inset, rgba(45, 35, 66, .4) 0 2px 4px, rgba(45, 35, 66, .3) 0 7px 13px -3px, #5aff5a 0 -3px 0 inset;
    }

    .button-2:hover {
      box-shadow: rgba(45, 35, 66, .4) 0 4px 8px, rgba(45, 35, 66, .3) 0 7px 13px -3px, #5aff5a 0 -3px 0 inset;
      transform: translateY(-2px);
    }

    .button-2:active {
      box-shadow: #5aff5a 0 3px 7px inset;
      transform: translateY(2px);
    }
    
    
    .button-3 {
      align-items: center;
      appearance: none;
      background-image: radial-gradient(100% 100% at 100% 0, #5adaff 0, #5468ff 100%);
      border: 0;
      border-radius: 6px;
      box-shadow: rgba(45, 35, 66, .4) 0 2px 4px,rgba(45, 35, 66, .3) 0 7px 13px -3px,rgba(58, 65, 111, .5) 0 -3px 0 inset;
      box-sizing: border-box;
      color: #fff;
      cursor: pointer;
      display: inline-flex;
      font-family: "JetBrains Mono",monospace;
      height: 48px;
      justify-content: center;
      line-height: 1;
      list-style: none;
      overflow: hidden;
      padding-left: 16px;
      padding-right: 16px;
      position: relative;
      text-align: left;
      text-decoration: none;
      transition: box-shadow .15s,transform .15s;
      user-select: none;
      -webkit-user-select: none;
      touch-action: manipulation;
      white-space: nowrap;
      will-change: box-shadow,transform;
      font-size: 18px;
    }

    .button-3:focus {
      box-shadow: #3c4fe0 0 0 0 1.5px inset, rgba(45, 35, 66, .4) 0 2px 4px, rgba(45, 35, 66, .3) 0 7px 13px -3px, #3c4fe0 0 -3px 0 inset;
    }

    .button-3:hover {
      box-shadow: rgba(45, 35, 66, .4) 0 4px 8px, rgba(45, 35, 66, .3) 0 7px 13px -3px, #3c4fe0 0 -3px 0 inset;
      transform: translateY(-2px);
    }

    .button-3:active {
      box-shadow: #3c4fe0 0 3px 7px inset;
      transform: translateY(2px);
    }
  </style>
</head>
<body>
  <div id="redButton">
    <p>Red LED</p>
    <button class="button-1" type="button" onclick="rOn()">LED ON</button>
    <button class="button-1" type="button" onclick="rOff()">LED OFF</button><br><br>
  </div>
  
  <div id="greenButton">
    <p>Green LED</p>
    <button class="button-2" type="button" onclick="gOn()">LED ON</button>
    <button class="button-2" type="button" onclick="gOff()">LED OFF</button><br><br>
  </div>
  
  <div id="blueButton">
    <p>Blue LED</p>
    <button class="button-3" type="button" onclick="bOn()">LED ON</button>
    <button class="button-3" type="button" onclick="bOff()">LED OFF</button><br><br>
  </div>
  
  <script>
    function rOn() {
      const apiURL = 'https://api.thingspeak.com/update';
      const apiKey = 'xxxxxxxxxxxxxxxx';
      const fieldData = '1';
      
      const formData = new FormData();
      formData.append('api_key', apiKey);
      formData.append('field5', fieldData);
      
      fetch(apiURL, {
        method: 'POST',
        body: formData,
      })
    }

    function rOff() {
      const apiURL = 'https://api.thingspeak.com/update';
      const apiKey = 'xxxxxxxxxxxxxxxx';
      const fieldData = '0';
      
      const formData = new FormData();
      formData.append('api_key', apiKey);
      formData.append('field5', fieldData);
      
      fetch(apiURL, {
        method: 'POST',
        body: formData,
      })
    }
    
    function gOn() {
      const apiURL = 'https://api.thingspeak.com/update';
      const apiKey = 'xxxxxxxxxxxxxxxx';
      const fieldData = '1';
      
      const formData = new FormData();
      formData.append('api_key', apiKey);
      formData.append('field6', fieldData);
      
      fetch(apiURL, {
        method: 'POST',
        body: formData,
      })
    }

    function gOff() {
      const apiURL = 'https://api.thingspeak.com/update';
      const apiKey = 'xxxxxxxxxxxxxxxx';
      const fieldData = '0';
      
      const formData = new FormData();
      formData.append('api_key', apiKey);
      formData.append('field6', fieldData);
      
      fetch(apiURL, {
        method: 'POST',
        body: formData,
      })
    }

    
    function bOn() {
      const apiURL = 'https://api.thingspeak.com/update';
      const apiKey = 'xxxxxxxxxxxxxxxx';
      const fieldData = '1';
      
      const formData = new FormData();
      formData.append('api_key', apiKey);
      formData.append('field7', fieldData);
      
      fetch(apiURL, {
        method: 'POST',
        body: formData,
      })
    }

    function bOff() {
      const apiURL = 'https://api.thingspeak.com/update';
      const apiKey = 'xxxxxxxxxxxxxxxx';
      const fieldData = '0';
      
      const formData = new FormData();
      formData.append('api_key', apiKey);
      formData.append('field7', fieldData);
      
      fetch(apiURL, {
        method: 'POST',
        body: formData,
      })
    }
  </script>
  </body>
</html>
